org.gnome.gtk

## Interface EntryCompletion.CursorOnMatch

- Enclosing class:
    EntryCompletion

      public static interface EntryCompletion.CursorOnMatch

  Emitted when the cursor is on a completion string without select it. The default behavior is to make the entry display the contents of the row column pointed by `iter`.

       final DataColumnString column;
       final EntryCompletion completion;

       ...

       completion.connect(new CursorOnMatch.InsertPrefix() {
           public boolean onCursorOnMatch(EntryCompletion source, TreeModel model, TreeIter iter) {
               final Entry entry;
               final String content;

               entry = source.getEntry();
               content = model.getValue(iter, column);

               entry.setText(content);

               return true;
           }
       });

  Since:
    4.0.12

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onCursorOnMatch(EntryCompletion source, TreeModel model, TreeIter iter)` The useful parameters are `model` and `iter` which will make you able to get the value of the selected completion using the TreeModel's `getValue()` method.

- - ### Method Detail

    - #### onCursorOnMatch

          boolean onCursorOnMatch(EntryCompletion source,
                                TreeModel model,
                                TreeIter iter)

      The useful parameters are `model` and `iter` which will make you able to get the value of the selected completion using the TreeModel's `getValue()` method.
      Since:
        4.0.12